### Method

# Gimp Image get_effective_color_profile

since: 2.10

#### Declaration [src]

    GimpColorProfile*
    gimp_image_get_effective_color_profile (
      GimpImage* image
    )

#### Description [src]

Returns the color profile that is used for the image.

This procedure returns the color profile that is actually used for this image, which is the profile returned by `gimp_image_get_color_profile()` if the image has a profile assigned, or the default profile from preferences, for the given color space, if no profile is assigned to the image. If there is no default profile configured in preferences either, a generated default profile is returned.

Available since: 2.10

#### Return value

Type: `GimpColorProfile`

The color profile. The returned value must be freed with `g_object_unref()`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.